import { type PerseusPassageRefWidgetOptions } from "@khanacademy/perseus-core";
import * as React from "react";
import { PerseusI18nContext } from "../../components/i18n-context";
import type { Widget, WidgetProps } from "../../types";
import type { PassageRefPromptJSON } from "../../widget-ai-utils/passage-ref/passage-ref-ai-utils";
type Props = WidgetProps<PerseusPassageRefWidgetOptions>;
type DefaultProps = {
    passageNumber: Props["passageNumber"];
    referenceNumber: Props["referenceNumber"];
    summaryText: string;
};
type State = {
    lineRange: [number, number] | null | undefined;
    content: string | null | undefined;
};
declare class PassageRef extends React.Component<Props, State> implements Widget {
    static contextType: React.Context<import("../../components/i18n-context").I18nContextType>;
    context: React.ContextType<typeof PerseusI18nContext>;
    displayName: string;
    _isMounted: boolean;
    _throttledUpdateRange: () => void;
    static defaultProps: DefaultProps;
    isWidget: true;
    state: State;
    componentDidMount(): void;
    shouldComponentUpdate(nextProps: Props, nextState: State): boolean;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    getPromptJSON(): PassageRefPromptJSON;
    _deferredUpdateRange: () => void;
    _updateRange: () => void;
    render(): React.ReactNode;
}
declare const _default: {
    name: string;
    displayName: string;
    hidden: true;
    widget: typeof PassageRef;
    version: import("@khanacademy/perseus-core").Version | undefined;
};
export default _default;
